// Crafts Luva 
onEvent('recipes', event => {
  event.shaped('theft:glove', [
      'AAA',
      'ASA',
      'ABA'
  ], {
      A: 'minecraft:rabbit_hide',  // Nome do item corrigido
      S: 'minecraft:diamond',
      B: 'minecraft:string'
  });
});
//craft cadeado de steel
onEvent('recipes', event => {
  event.shaped('locks:steel_lock', [
      ' A ',
      'ASA',
      'AAA'
  ], {
      A: 'alltheores:osmium_ingot',  // Nome do item corrigido
      S: 'locks:steel_lock_mechanism',
  });
});

//lockpick
onEvent('recipes', event => {
  event.shaped('locks:steel_lock_pick', [
      ' AA',
      ' A ',
      'A  '
  ], {
      A: 'alltheores:osmium_ingot',  // Nome do item corrigido
  });
});

//steel mechanism
onEvent('recipes', event => {
  event.shaped('locks:steel_lock_mechanism', [
      'AAA',
      'SSS',
      'SSS'
  ], {
      S: 'alltheores:osmium_ingot',  // Nome do item corrigido
      A: 'locks:spring',
  });
});


// Quest Books
onEvent('player.logged_in', event => {
  // Verifica se o jogador já recebeu o item anteriormente
  if (!event.player.stages.has('starting_items')) {
      // Adiciona o item ftbquests:book ao inventário do jogador
      event.player.give('ftbquests:book');

      // Marca que o jogador já recebeu o item inicial para não receber de novo
      event.player.stages.add('starting_items');
  }
});
